/* base css file to be included in the main html file */

#logo {
  display: flex;
  align-items: center;
  justify-content: center;
  min-height: 60px;
}

#status {
  display: flex;
}

*[id$='-status'] {
  text-align: center;
  margin: auto;
}

*[id$='-status']>img {
  width: 40%;
}

#device-grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(20%, 1fr));
  text-align: center;
  gap: 1px;
  margin-inline: 15%;
  margin-bottom: 2%;
  font-size: 0.8em;
}

@media (max-width:680px) {
  #device-grid {
    margin-inline: 5%;
    font-size: 0.5em;
  }
}

#device-grid div {
  outline: 1px solid #11323B;
}

#chart-grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(225px, 1fr));
}

#nav-grid ul {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  grid-template-areas:
    "logo     blank blank   blank"
    "overview wi-fi network firewall";

  gap: 3px;

  list-style-type: none;
  padding-left: 0;
  text-align: center;
}

#nav-grid li {
  outline: 3px solid black;
}

#nav-grid ul :nth-child(1) {
  grid-area: logo;
}

#nav-grid ul :nth-child(2) {
  grid-area: blank;
}

#nav-grid ul :nth-child(3) {
  grid-area: overview;
}

#nav-grid ul :nth-child(4) {
  grid-area: wi-fi;
}

#nav-grid ul :nth-child(5) {
  grid-area: network;
}

#nav-grid ul :nth-child(6) {
  grid-area: firewall;
}

h3 {
  text-align: center;
  margin-top: auto;
}

a {
  display: block;
  text-decoration: none;
  font-weight: bold;
}

li a:hover:not(.active) {
  color: white;
}

p {
  line-height: 25%;
}

/* CSS changed by custom css files */

body {
  background-color: var(--body-bg-colour, #F0F0F0);
  font-family: var(--font);
  font-size: var(--font-size, 16px);
  margin: var(--body-margin, 1%);
}

.scheme * {
  background-color: var(--bg-colour);
  color: var(--text-colour);
}

li a:hover:not(.active) {
  background-color: var(--text-colour);
}

#device-grid div {
  outline: 1px var(--outline-type) var(--outline-colour);
}

#nav-grid li {
  outline: 3px var(--outline-type) var(--outline-colour);
}

#logo, #logo>* {
  background-color: var(--logo-bg-colour);
}
